org.icefaces.ace.model.chart

## Class OHLCSeries

- java.lang.Object
- - org.icefaces.ace.model.chart.ChartSeries
  - - org.icefaces.ace.model.chart.OHLCSeries

- All Implemented Interfaces:
    java.io.Serializable

      public class OHLCSeries
      extends ChartSeries

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `OHLCSeries.OHLCType`

    - ### Nested classes/interfaces inherited from class org.icefaces.ace.model.chart.ChartSeries

      `ChartSeries.ChartType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OHLCSeries()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(java.util.Date x, java.lang.Number o, java.lang.Number h, java.lang.Number l, java.lang.Number c)`
    `void` | `encodeRendererOptions(JSONBuilder cfg)`
    `JSONBuilder` | `getConfigJSON(javax.faces.component.UIComponent component)` Used by the ChartRenderer to produce a JSON representation of the data of this series.
    `JSONBuilder` | `getDataJSON(javax.faces.component.UIComponent chart)`
    `ChartSeries.ChartType` | `getDefaultType()`

    - ### Methods inherited from class org.icefaces.ace.model.chart.ChartSeries

      `clear, getColor, getData, getFill, getFillAlpha, getFillToZero, getLabel, getLineCap, getLineJoin, getLineWidth, getSeriesColors, getShadow, getShadowAlpha, getShadowAngle, getShadowDepth, getShadowOffset, getShow, getShowMarker, getType, getUseNegativeColors, getXAxis, getYAxis, setColor, setData, setFill, setFillAlpha, setFillToZero, setInCfgObject, setInCfgObject, setInCfgObject, setInCfgObject, setLabel, setLineCap, setLineJoin, setLineWidth, setSeriesColors, setShadow, setShadowAlpha, setShadowAngle, setShadowDepth, setShadowOffset, setShow, setShowMarker, setType, setUseNegativeColors, setXAxis, setYAxis`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OHLCSeries

          public OHLCSeries()

  - ### Method Detail

    - #### add

          public void add(java.util.Date x,
                          java.lang.Number o,
                          java.lang.Number h,
                          java.lang.Number l,
                          java.lang.Number c)

    - #### getDataJSON

          public JSONBuilder getDataJSON(javax.faces.component.UIComponent chart)

      Overrides:
        `getDataJSON` in class `ChartSeries`

    - #### encodeRendererOptions

          public void encodeRendererOptions(JSONBuilder cfg)

      Specified by:
        `encodeRendererOptions` in class `ChartSeries`

    - #### getConfigJSON

          public JSONBuilder getConfigJSON(javax.faces.component.UIComponent component)

      Used by the ChartRenderer to produce a JSON representation of the data of this series.
      Overrides:
        `getConfigJSON` in class `ChartSeries`
      Parameters:
        `component` -
      Returns:
        the JSON object

    - #### getDefaultType

          public ChartSeries.ChartType getDefaultType()

      Specified by:
        `getDefaultType` in class `ChartSeries`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.